%global bootstrap 0

Name:           maven-javadoc-plugin
Version:        2.9.1
Release:        %mkrel 3
Summary:        Maven Javadoc Plugin

Group:          Development/Java
License:        ASL 2.0
URL:            http://maven.apache.org/plugins/maven-javadoc-plugin
Source0:        http://repo1.maven.org/maven2/org/apache/maven/plugins/%{name}/%{version}/%{name}-%{version}-source-release.zip
Patch0:         reduce-exceptions.patch

BuildRequires:  java-devel >= 1:1.7.0
BuildRequires:  apache-commons-io
BuildRequires:  apache-commons-lang
BuildRequires:  apache-commons-logging
BuildRequires:  httpcomponents-client
BuildRequires:  log4j
BuildRequires:  maven-local
BuildRequires:  maven-archiver
BuildRequires:  maven-artifact
BuildRequires:  maven-artifact-manager
BuildRequires:  maven-clean-plugin
BuildRequires:  maven-common-artifact-filters
BuildRequires:  maven-compiler-plugin
BuildRequires:  maven-doxia-sink-api
BuildRequires:  maven-doxia-sitetools
BuildRequires:  maven-enforcer-plugin
BuildRequires:  maven-install-plugin
BuildRequires:  maven-jar-plugin
BuildRequires:  maven-model
BuildRequires:  maven-plugin-annotations
BuildRequires:  maven-plugin-plugin
BuildRequires:  maven-plugin-testing-harness
BuildRequires:  maven-project
BuildRequires:  maven-resources-plugin
BuildRequires:  maven-settings
BuildRequires:  maven-shade-plugin
BuildRequires:  maven-shared-invoker
BuildRequires:  maven-shared-reporting-api
BuildRequires:  maven-surefire-plugin
BuildRequires:  maven-toolchain
BuildRequires:  maven-wagon
BuildRequires:  modello
BuildRequires:  plexus-archiver
BuildRequires:  plexus-containers-container-default
BuildRequires:  plexus-interactivity
BuildRequires:  plexus-utils
BuildRequires:  qdox
%if ! %{bootstrap}
BuildRequires:  maven-javadoc-plugin
%endif        

Requires:       java
Requires:       apache-commons-io
Requires:       apache-commons-lang
Requires:       apache-commons-logging
Requires:       httpcomponents-client
Requires:       log4j
Requires:       maven
Requires:       maven-archiver
Requires:       maven-artifact
Requires:       maven-artifact-manager
Requires:       maven-common-artifact-filters
Requires:       maven-doxia-sink-api
Requires:       maven-doxia-sitetools
Requires:       maven-model
Requires:       maven-plugin-annotations
Requires:       maven-project
Requires:       maven-settings
Requires:       maven-shared-invoker
Requires:       maven-shared-reporting-api
Requires:       maven-toolchain
Requires:       maven-wagon
Requires:       plexus-archiver
Requires:       plexus-containers-container-default
Requires:       plexus-interactivity
Requires:       plexus-utils
Requires:       qdox

BuildArch: noarch

Obsoletes: maven2-plugin-javadoc <= 2.0.8
Provides:  maven2-plugin-javadoc = %{version}-%{release}

%description
The Maven Javadoc Plugin is a plugin that uses the javadoc tool for
generating javadocs for the specified project.
 
%if ! %{bootstrap}
%package javadoc
Group:          Documentation
Summary:        Javadoc for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       jpackage-utils

%description javadoc
API documentation for %{name}.
%endif

%prep
%setup -q 
# Update source for use with newer doxia
%patch0

# Remove test dependencies because tests are skipped anyways.
%pom_xpath_remove "pom:dependency[pom:scope[text()='test']]"

%pom_add_dep org.codehaus.plexus:plexus-interactivity-api pom.xml "
<exclusions>
    <exclusion>
        <groupId>org.codehaus.plexus</groupId>
        <artifactId>plexus-component-api</artifactId>
    </exclusion>
</exclusions>"

sed -i -e "s|org.apache.maven.doxia.module.xhtml.decoration.render|org.apache.maven.doxia.sink.render|g" src/main/java/org/apache/maven/plugin/javadoc/JavadocReport.java

%build
mvn-rpmbuild \
        -Dmaven.test.skip=true \
        install
%if ! %{bootstrap}
mvn-rpmbuild \
        -Dmaven.test.skip=true \
        -Dproject.build.sourceEncoding=UTF-8 \
       javadoc:javadoc
%endif        

%install
# jars
install -d -m 0755 %{buildroot}%{_javadir}
install -m 644 target/%{name}-%{version}.jar   %{buildroot}%{_javadir}/%{name}.jar

# poms
install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom

%add_maven_depmap JPP-%{name}.pom %{name}.jar

%if ! %{bootstrap}
# javadoc
install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/api*/* %{buildroot}%{_javadocdir}/%{name}/
rm -rf target/site/api*
%endif

%files -f .mfiles
%doc LICENSE NOTICE 

%if ! %{bootstrap}
%files javadoc
%doc LICENSE NOTICE 
%{_javadocdir}/%{name}
%endif



%changelog
* Sat Oct 19 2013 umeabot <umeabot> 2.9.1-3.mga4
+ Revision: 535142
- Mageia 4 Mass Rebuild

  + dmorgan <dmorgan>
    - Rebuild against new javapackages

* Wed Sep 18 2013 dmorgan <dmorgan> 2.9.1-1.mga4
+ Revision: 481188
- New version

* Thu Jul 11 2013 dmorgan <dmorgan> 2.9-4.mga4
+ Revision: 453071
- Fix Requires/BuildRequires

* Tue Feb 19 2013 dmorgan <dmorgan> 2.9-3.mga3
+ Revision: 399292
- Build in non bootstrap mode

* Thu Jan 17 2013 umeabot <umeabot> 2.9-2.mga3
+ Revision: 389214
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + dmorgan <dmorgan>
    - New version

* Wed Jun 27 2012 dmorgan <dmorgan> 2.8.1-1.mga3
+ Revision: 264440
- New version 2.8.1

* Tue Jul 19 2011 dmorgan <dmorgan> 2.8-1.mga2
+ Revision: 126849
- Update to latest upstream version.
    Guidelines fixes.

* Thu Apr 28 2011 dmorgan <dmorgan> 2.7-5.mga1
+ Revision: 92707
- Rebuild after bootstrapping
- imported package maven-javadoc-plugin


* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jul 24 2010 Alexander Kurtakov <akurtako@redhat.com> 2.7-3
- Add missing invoker requires.

* Wed Jul 21 2010 Alexander Kurtakov <akurtako@redhat.com> 2.7-2
- Add missing invoker BR.

* Wed Jul 21 2010 Alexander Kurtakov <akurtako@redhat.com> 2.7-1
- Update to 2.7.

* Fri May  7 2010 Mary Ellen Foster <mefoster at gmail.com> - 2.4-2
- Add jpackage-utils requirements
- Update requirements of javadoc subpackage

* Thu May  6 2010 Mary Ellen Foster <mefoster at gmail.com> - 2.4-1
- Initial version, based on akurtakov's initial spec
